log_exp.cpp File Reference

Logarithmic and exponenential functions - source file. More...

`#include <itpp/base/math/log_exp.h>`
`#include <itpp/base/itcompat.h>`

Go to the source code of this file.

## Namespaces

namespace | itpp
| itpp namespace

## Functions

vec | itpp::log2 (const vec &x)
| log-2 of the elements
mat | itpp::log2 (const mat &x)
| log-2 of the elements
double | itpp::log_add (double log_a, double log_b)
| Safe substitute for log(exp(log_a) + exp(log_b)).

## Detailed Description

Logarithmic and exponenential functions - source file.

Author
  Tony Ottosson, Adam Piatyszek and Conrad Sanderson

Copyright (C) 1995-2008 (see AUTHORS file for a list of contributors)

This file is part of IT++ - a C++ library of mathematical, signal processing, speech processing, and communications classes and functions.

IT++ is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

IT++ is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with IT++. If not, see http://www.gnu.org/licenses/.

Definition in file log_exp.cpp.

Generated on for IT++ by Doxygen 1.15.0